LOCKSCREEN(1)

NAME
lockscreen, lockscreen_default - maintain SunView context and prevent casual access

SYNOPSIS
lockscreen [ -enr ] [ -b program ] [ -t seconds ]
[ gfx-program [ gfx-program-arguments ] ]

AVAILABILITY

This command is available with the software installation option. Refer to for information about installing optional software.

DESCRIPTION

lockscreen is a SunView utility that locks the screen against casual access while preserving the state of the SunView display. It clears the workstation screen to black, and then runs gfx-program, which typically provides a moving graphics display to reduce phosphor burn. When no gfx-program is provided, a suitable default program is run.

lockscreen requires the user's password before restoring the window context. When any keyboard or mouse button is pressed, the graphics screen is replaced by a password screen that displays the user name, a small box with a bouncing logo, and a prompt for the user's password. If the user has no password, or if the -n option is used, the window context is simply restored.

When the password screen appears:

    •   Restore the window context by entering the user's password followed by a RETURN (this password is not echoed on the screen) or,

    •   Point to the black box and click the left button to return to the graphics display.

If neither of the above actions is taken, gfx_program resumes execution after the interval specified with the -t option.

OPTIONS

-e  Add the Exit Desktop choice to the password screen. If pointed to and clicked, the SunView environment is exited and the current user is logged out. This option is unreliable and can be a security hole, its use is strongly discouraged. See BUGS.

-n  Require no password to reenter the window environment.

-r  Allow the use of the user name root in the `Name:' field of the password screen. Normally, root is not accepted as a valid user name.

-b program
    Allow an additional program to be run as a child process of lockscreen. This background process could be a compile server or some other useful program that the user wants run while lockscreen is running. No arguments are passed to this program.

-t seconds
    After seconds seconds, clear the password screen and restart gfx-program. The default is 5 minutes (300 seconds).

[ gfx-program ] [ gfx-program-arguments ]
    Run this program after clearing the screen to black. When no program argument is present, lockscreen tries to run lockscreen_default if it is in the standard search path; otherwise, a bouncing Sun logo appears. When gfx-program-arguments are specified and the gfx-program is not, the arguments are passed to lockscreen_default. lockscreen_default is typically a non-interactive graphics program (see graphics_demos(6)). lockscreen does not search for lockscreen_default when the gfx-program is specified explicitly as an empty argument (an adjacent pair of quote-marks).

FILES
/usr/bin/lockscreen_default
    Default gfx-program. This displays a series of life(6) patterns. If a file named lockscreen_default appears earlier in the search path, that file is used instead.

SEE ALSO
login(1), sunview(1)

BUGS

lockscreen is more secure when gfx-program are not specified and when lockscreen_default is not in the search path. To improve security, enter the following command as root, or start lockscreen with an empty argument (see OPTIONS, above).

    example# mv  /usr/bin/lockscreen_default  /usr/bin/lockscreen_default-

The -e option does not consistently log the current user out by clicking on the Exit Desktop button. Occassionally, users will be returned to the shell or the Desktop without requiring a password. This option is unreliable, and its use could allow unsecure access to the system.